Package org.jmock.core

# Interface InvocationDispatcher

All Superinterfaces:
  `SelfDescribing`, `Verifiable`

All Known Implementing Classes:
  `AbstractInvocationDispatcher`, `FIFOInvocationDispatcher`, `LIFOInvocationDispatcher`

public interface InvocationDispatcher extends Verifiable, SelfDescribing

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Invokable invokable)`
`void`
`clear()`
`Object`
`dispatch(Invocation invocation)`
`void`
`setDefaultStub(Stub newDefaultStub)`

### Methods inherited from interface org.jmock.core.SelfDescribing

`describeTo`

### Methods inherited from interface org.jmock.core.Verifiable

`verify`

## Method Details

### dispatch

Object dispatch(Invocation invocation) throws Throwable

Throws:
  `Throwable`

### setDefaultStub

void setDefaultStub(Stub newDefaultStub)

### add

void add(Invokable invokable)

### clear

void clear()